/* ;-*-c++-*-
 * 
 * usekde.cpp
 *
 * $Id: usekde.cpp,v 1.1 2002/03/13 15:09:36 amos Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#include "usekde.h"
#include <iostream>

void
UseKDE::insertKeyBindings(QmMainWindow *parent)
{
    m_pGlobalKeys = new KGlobalAccel(parent);

    if ( m_pGlobalKeys->insertItem("Apollo Skip Forward", "apollo-skip-forward", "ALT+End") )
        m_pGlobalKeys->connectItem("apollo-skip-forward", parent, SLOT(next()));
    else
        cerr << "Binding ALT+End failed\n";

    if ( m_pGlobalKeys->insertItem("Apollo Skip Backward", "apollo-skip-backward", "ALT+Home") )
        m_pGlobalKeys->connectItem("apollo-skip-backward", parent, SLOT(prev()));
    else
        cerr << "Binding ALT+Home failed\n";

    m_pGlobalKeys->readSettings(); // doesn't do anything right now
}
